# DECIDE Cloud Patterns Compendium
A microservice to infer patterns from non-functional requirements in the context of DECIDE.

## Install and run the microservice
```
$ git clone git@gitlab.fokus.fraunhofer.de:DECIDE/CloudPatternsCompendium.git
$ cd CloudPatternsCompendium
$ mvn package
$ java -jar target/cloudpatternscompendium-<version>-fat.jar
```

The service is running on port `8080`.

## API Documentation
The root context contains a convenient documentation of the REST API of this microservice. From there, you can also download a OpenAPI 3.0 specification of this interface.

## Additional Info
### `/health`
Returns the health status of the microservice.
### `/metrics`
This requires to start the microservice with ```-Dvertx.metrics.options.enabled=true```.

Returns some metrics of the microservice.

## Docker
You can also build a docker image and run it in a docker container:
```
$ docker build -t decide/cloudpatternscompendium .
$ docker run -t -i -p 8080:8080 decide/cloudpatternscompendium
```

## Docker hub
The latest image is also available on the FOKUS docker hub:
```
$ docker run -t -i -p 8080:8080 dockerhub.fokus.fraunhofer.de:5000/decide/cloudpatternscompendium
```
But you need to login first.